Bug 1256567 - OpenH264 (plugin-container) quietly aborts in enforcing
OpenH264 (plugin-container) quietly aborts in enforcing
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-24 21:33 EDT by Joshua Roys
Modified: 2015-12-02 13:17 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:05:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Roys 2015-08-24 21:33:56 EDT
Description of problem:
While attempting to setup a WebRTC gateway using H.264, much head banging eventually led to the realization that OpenH264, wrapped in plugin-container, was quietly aborting in the background causing the WebRTC video to never appear.


Version-Release number of selected component (if applicable):
firefox-40.0-3.fc21.x86_64
selinux-policy-3.13.1-105.20.fc21.noarch


How reproducible:
Attempt to make a WebRTC H.264 call in enforcing


Actual results:
$ export NSPR_LOG_FILE=/tmp/FF.log
$ export NSPR_LOG_MODULES=signaling:5,mtransport:5,timestamp:1
$ firefox &
$ tailf $NSPR_LOG_FILE
[...]
2015-08-25 00:57:55.859986 UTC - 1881392960[7fd36ee8e6e0]: [main|WebrtcVideoSessionConduit] VideoConduit.cpp:472: Init Initialization Done
2015-08-25 00:57:55.860110 UTC - 1881392960[7fd36ee8e6e0]: [main|WebrtcVideoSessionConduit] VideoConduit.cpp:769: ConfigureRecvMediaCodecs Configuring External H264 Receive Codec
2015-08-25 00:57:55.860155 UTC - 1881392960[7fd36ee8e6e0]: [main|WebrtcVideoSessionConduit] VideoConduit.cpp:782: ConfigureRecvMediaCodecs Successfully Set the codec H264
2015-08-25 00:57:55.869465 UTC - 1881392960[7fd36ee8e6e0]: [main|PeerConnectionMedia] PeerConnectionMedia.cpp:165: OnProxyAvailable: Proxy Available: 0
[...]
2015-08-25 00:57:56.348207 UTC - 1881392960[7fd36ee8e6e0]: [main|PeerConnectionImpl] PeerConnectionImpl.cpp:1967: Encountered media error! GMP Decode: GetGMPVideoDecoder failed.
[...]


Adding these rules to the running policy is not enough to get the plugin to function in enforcing:
----
type=AVC msg=audit(08/24/2015 21:04:42.653:1306) : avc:  denied  { create } for  pid=18366 comm=plugin-containe name=mozsandbox.htwkXG scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:tmpfs_t:s0 tclass=dir permissive=1 
----
type=AVC msg=audit(08/24/2015 21:04:42.653:1307) : avc:  denied  { rmdir } for  pid=18366 comm=plugin-containe name=mozsandbox.htwkXG dev="tmpfs" ino=12895526 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:tmpfs_t:s0 tclass=dir permissive=1 
----
type=AVC msg=audit(08/24/2015 21:04:42.666:1308) : avc:  denied  { sys_chroot } for  pid=18368 comm=plugin-containe capability=sys_chroot  scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tclass=capability permissive=1 


Crash post-semodule:

type=ANOM_ABEND msg=audit(08/24/2015 21:18:13.521:1313) : auid=roysjosh uid=roysjosh gid=roysjosh ses=1 subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 pid=18885 comm=plugin-containe exe=/usr/lib64/firefox/plugin-container sig=SIGSEGV 



Expected results:
Successful WebRTC call in enforcing.
Comment 1 Fedora End Of Life 2015-11-04 05:41:40 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-12-02 10:05:47 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.